.slider-background {
  background-color: #ddfbff;
  width: 100vw;
  padding: 60px 0;
}

.slider-container {
  /* max-width: 1440px; */
  width: 100%;
  /* margin: 0 auto; */
  position: relative;
  overflow: visible;
}
.slider-background h1{
  text-align: center;
  font-size: 42px;
  margin-top: -3%;
  line-height: 1.6;
  font-weight: 100;
  color: #006d23;
  font-family: 'Poppins',sans-serif;
  font-weight: 600;
}
.slider-wrapper {
  overflow: hidden;
  width: 100vw;
}

.slider {
  display: flex;
  gap: 20px;
  transition: transform 0.5s ease-in-out;
  will-change: transform;
  margin-left: 10px;
}

.card {
  width: 340px;
  height: 500px;
  flex-shrink: 0;
  border-radius: 24px;
  transition: transform 0.3s ease;
  transform-origin: center center;
  position: relative;
  z-index: 1;
  overflow: hidden;
}

.card:hover {
  transform: scale(1.1);
  z-index: 2;
}

.card-inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 24px;
    overflow: hidden;
    position: relative;
}
.card-inner h1{
  margin-top: 40px;
  font-family: 'Poppins',sans-serif;
  font-size: 22px;
  color: black;
  font-weight: 300;  
}
.card-inner img {
  width: 500px;
  object-fit: contain;
  display: block;
  transform:translateY(-6px) rotate(-5deg); 
  transition:.4s cubic-bezier(.22,1,.36,1);
}

.overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.75);
  color: white;
  display: flex;
  align-items: center;
  justify-content: center; 
  text-align: center;
  overflow: visible;
  opacity: 0;
  transition: opacity 0.4s ease;
  z-index: 1;
  top: 0px;
}
.overlay p{
  padding: 0 25px 0 25px;
  font-size: 18px;
  font-weight: 300; 
  font-family: 'Poppins',sans-serif;
}
.card:hover .overlay {
  opacity: 1;
}

.slider-buttons {
  text-align: center;
  margin-top: 30px;
  width: 100%;
}

.slider-btn {
  background-color: #006d23;
  color: white;
  border: none;
  font-size: 24px;
  border-radius: 50%;
  margin: 0 12px;
  text-align: center;
  width: 45px;
  aspect-ratio: 1 / 1;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.slider-btn:hover {
  background-color: #009933;
}
@media screen and (max-width: 1000px) {
  .slider-background > h1{
    font-size: 30px;
  }
}
@media screen and (max-width: 900px) {
  .card{
    width: 250px;
    height: 350px;
  }
  .card-inner > h1{
    font-size: 16px;
  }

  .card-inner img {
    height: 450px;
  }
}
@media screen and (max-width: 700px) {
  .slider-background > h1{
    font-size: 24px;
  }
}
@media screen and (max-width: 600px) {
  .slider-background > h1{
    font-size: 20px;
  }
  .card{
    width: 200px;
    height: 300px;
  }
  .card-inner > h1{
    font-size: 12px;
    margin-top: 30px;
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    text-align: center;
  }
  .overlay p{
    font-size: 12px;
  }
  .card-inner img {
    width: 300px;
  }
}
@media screen and (max-width: 450px) {
  .slider-background > h1{
    font-size: 15px;
  }
  .card{
    width: 180px;
    height: 260px;
  }
  .card-inner > h1{
    width: 100%;
    font-size: 12px;
    position: absolute;
    top: 0px;
    left: 0px;
    text-align: center;
  }
  .card-inner img {
    width: 300px;
    height: 250px;
    margin-top: 78px;
  }
}